MAPI
AudioSuno

Remove Section

Submit this Suno capability through POST /v1/music/generations with model: "suno-remove-section".

POST
/v1/music/generations

Authorization

BearerAuth

AuthorizationBearer <token>

使用 MAPI Bearer Token 认证。格式:Authorization: Bearer sk-xxxxxx。

In: header

Request Body

application/json

model*string

固定填写 suno-remove-section。

task_id*string

产出源音轨的任务 ID,必填。

audio_index?integer
Default1
Range1 <= value
start_s*number

删除起点(秒),必填,须 ≥0,支持小数秒。

Range0 <= value
end_s*number

删除终点(秒),必填,须大于 start_s 且不超过源时长。

Response Body

application/json

application/json

curl -X POST "https://loading/v1/music/generations" \  -H "Content-Type: application/json" \  -d '{    "model": "suno-remove-section",    "task_id": "task_source123",    "audio_index": 1,    "start_s": 12.5,    "end_s": 18  }'
{
  "code": 200,
  "message": "success",
  "data": [
    {
      "status": "submitted",
      "task_id": "task_aehCmxJ5YUNOIQGgkhvxaco4T9P2h3Dw"
    }
  ]
}
{
  "code": "invalid_request",
  "message": "task_id is required",
  "data": null
}

Last updated on